<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
		integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" href="css/app.css">
	<title>Blurt Account Recovery - Recover Account</title>
</head>

<body>
	<div class="container pt-3">
		<a href="./">
			<h1 class="text-center">Blurt Account Recovery</h1>
		</a>
		<hr>
		<h2 class="text-center mb-5">Recover Account</h2>

		<div class="row">
			<div class="offset-md-2 col-md-8">

				<form id="get-owner-key" method="post" class="mt-5 mb-5">
					<h4 class="mb-2">Step 1: Generate New Password</h4>

					<div class="alert" id="alert-get-owner-key"></div>

					<div class="form-group">
						<label for="atr" class="control-label">Account To Recover</label>
						<input type="text" name="atr" id="atr" class="form-control">
						<p class="form-text text-muted">Blurt username of the account that needs recovery.</p>
					</div>

					<div class="form-group">
						<label for="new-password" class="control-label">New Password</label>
						<div class="input-group">
							<input type="text" name="new-password" id="new-password" class="form-control">
							<div class="input-group-append">
								<button class="btn btn-success" id="regen-password"><svg width="24" height="24"
										xmlns="http://www.w3.org/2000/svg" fill-rule="evenodd" clip-rule="evenodd">
										<path style="fill:#ffffff"
											d="M7 9h-7v-7h1v5.2c1.853-4.237 6.083-7.2 11-7.2 6.623 0 12 5.377 12 12s-5.377 12-12 12c-6.286 0-11.45-4.844-11.959-11h1.004c.506 5.603 5.221 10 10.955 10 6.071 0 11-4.929 11-11s-4.929-11-11-11c-4.66 0-8.647 2.904-10.249 7h5.249v1z" />
									</svg></button>
							</div>
						</div>
						<p class="form-text text-muted">New PASSWORD for the account that needs recovery. <span
								class="text-info">Please save it somewhere safe. This will be the new password for your account, and you will
							need it in order to complete the last step.</span></p>
					</div>

					<div class="form-group">
						<label for="public-owner-key" class="control-label">New Public Owner Key</label>
						<input type="text" name="public-owner-key" id="public-owner-key" class="form-control" readonly>
						<p class="form-text text-muted">PUBLIC OWNER KEY generated using username and password. Please
							save it somewhere safe and send it to the trustee account.
						</p>
					</div>

					<button class="btn btn-success btn-block">Get Owner Key</button>
				</form>

				<hr>
				<h4>Step 2: Send PUBLIC OWNER KEY to the trustee.</h4>
				<hr>

				<form id="recover-account" method="POST" class="mt-5 mb-5">
					<h4 class="mb-2">Step 3: Recover Account</h4>

					<div class="alert" id="alert-recover-account"></div>

					<div class="form-group">
						<label for="user-atr">Account To Recover</label>
						<input type="text" name="user-atr" id="user-atr" class="form-control">
						<p class="form-text text-muted">Blurt username of the account that needs recovery. Note that a request must have 
							already been placed by the recovery account.</p>
					</div>

					<div class="form-group">
						<label for="user-new-pass" class="control-label">New Password</label>
						<input type="password" name="user-new-pass" id="user-new-pass" class="form-control">
						<p class="form-text text-muted">New PASSWORD that you have generated when generating PUBLIC
							OWNER KEY during step 1.</p>
					</div>

					<div class="form-group">
						<label for="user-old-pass" class="control-label">Recent Password</label>
						<input type="password" name="user-old-pass" id="user-old-pass" class="form-control">
						<p class="form-text text-muted">Recent PASSWORD of the account but must not be older than 30
							days.</p>
					</div>

					<button class="btn btn-success btn-block">Recover Account</button>
				</form>
			</div>
		</div>

		<hr>
        <p class="text-center">
            Adapted for Blurt by <a href="https://blurt.blog/@tekraze">@tekraze</a>. Vote for <a href="https://blurtwallet.com/~witnesses?highlight=tekraze">@tekraze as witness</a>.
        </p>
        <p class="text-center">
            Forked from Hive Recovery tool by <a href="https://hive.blog/@reazuliqbal">@reazuliqbal</a>
        </p>
	</div>
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
		integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
		crossorigin="anonymous"></script>
	<script src="https://unpkg.com/@hiveio/dhive@1.1.1/dist/dhive.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/@blurtfoundation/blurtjs/dist/blurt.min.js"></script>
	<script src="js/app.js"></script>
</body>

</html>